// **************************************
// author Brunello Pulix
// Cagliari (Italy)
// brunellopulix@gmail.com
// placed in the public domain
// **************************************
//
*
#translate NTRIM( <v1> ) => Ltrim(str(<v1>))
*
Procedure PBar1(x,y)
  Static nRange
  *
  If !hb_IsNil(y)
     FV3_SetProperty('PBar1','RangeMax',y)
     nRange := y
  Endif
  FV3_SetProperty('PBar1','Value',x)
  DO EVENTS
  *
Return
*
Function UnoGet(cTitle,xValue,cDesc,cPict,nWidth,xOpz)
  Local xRet
  *
  hb_Default(@cTitle ,''  )
  hb_Default(@cDesc  ,''  )
  hb_Default(@xValue ,''  )
  hb_Default(@cPict  ,''  )
  hb_Default(@nWidth ,250 )
  hb_Default(@xOpz   ,0   )
  *
  If Valtype(xValue) == 'C'
     xRet := ''
  elseIf Valtype(xValue) == 'N'
     xRet := 0
  elseIf Valtype(xValue) == 'D'
     xRet := ''
  Endif
  *
  FV3_OpenModal(cTitle)
  FV3_SetVaLUE('TX2',xValue)
  *
  FV3_Label(cDesc          ,nWidth)
  FV3_SkipRow25()
  FV3_TextBox("TX2",nWidth,cPict,xOpz)
  *
  FV3_Show(2)
  *
  If FV3_Result()
     xRet := FV3_GetValue('TX2')
  endif
  *
Return xRet
*
Procedure MyChoice(nWidth,nHeight,aRay,cCaption,nValue)
  Local nRet := 0
  *
  hb_Default(@nWidth  ,300)
  hb_Default(@nHeight ,200)
  hb_Default(@nValue  ,1)
  *
  FV3_OpenModal(cCaption,,{|cWin| SetProperty(cWin,'LIST1','Value',nValue) })
  FV3_SetValue('LIST1','')
  *
  FV3_ListBox('LIST1',nWidth,nHeight,aRay,,{|| FV3_Okay() })
  FV3_SkipRow(20)
  *
  FV3_SetFont('LIST1','Courier New',9)
  *
  FV3_Show(1)
  *
  If FV3_Result()
     nRet := FV3_GetValue('LIST1')
  Endif
  *
Return nRet
*
